%global momorel 5
%global emacsver 22.3
%global xemacsver 21.5.28
%global xemacssumover 2007.04.27
%global e_sitedir %{_datadir}/emacs/site-lisp
#%%global xe_sitedir %{_datadir}/xemacs/site-lisp
%global sitepdir %{_datadir}/xemacs/site-packages
%global reldir 29289

Summary: Yet another GnuPG interface for Emacs.
Name: elisp-easypg
Version: 0.0.16
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Editors
URL: http://www.easypg.org/
Source0: http://downloads.sourceforge.jp/epg/%{reldir}/epg-%{version}.tar.gz 
NoSource: 0
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}
Requires: emacsen
Requires: gnupg >= 1.4.5
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
EasyPG is yet another GnuPG interface for Emacs.  It consists of two
parts:

- "The EasyPG Assistant"
  A GUI frontend of GnuPG
- "The EasyPG Library"
  A library to interact with GnuPG

%package -n easypg-emacs
Summary: Yet another GnuPG interface for Emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}

%description -n easypg-emacs
EasyPG is yet another GnuPG interface for Emacs.  It consists of two
parts:

- "The EasyPG Assistant"
  A GUI frontend of GnuPG
- "The EasyPG Library"
  A library to interact with GnuPG

%package -n easypg-xemacs
Summary: Yet another GnuPG interface for Emacs.
Group: Applications/Editors
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}, xemacs-sumo >= %{xemacssumover}

%description -n easypg-xemacs
EasyPG is yet another GnuPG interface for Emacs.  It consists of two
parts:

- "The EasyPG Assistant"
  A GUI frontend of GnuPG
- "The EasyPG Library"
  A library to interact with GnuPG

%prep
%setup -q -n epg-%{version}

%build
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%install
# emacs
%configure --with-emacs=%{_bindir}/emacs --with-lispdir=%{e_sitedir}
make EMACS=emacs
make EMACS=emacs \
     prefix=%{buildroot}%{_prefix} \
     datadir=%{buildroot}%{_datadir} \
     lispdir=%{buildroot}%{e_sitedir} \
     install

make distclean

# xemacs
%configure --with-xemacs=%{_bindir}/xemacs --with-lispdir=%{sitepdir}/lisp
make XEMACS=xemacs
make EMACS=xemacs \
     prefix=%{buildroot}%{_prefix} \
     datadir=%{buildroot}%{_datadir} \
     lispdir=%{buildroot}%{sitepdir}/lisp \
     install

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README

%files -n easypg-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/epg
%{e_sitedir}/epg/*.el*

%files -n easypg-xemacs
%defattr(-,root,root)
%dir %{sitepdir}/lisp/epg
%{sitepdir}/lisp/epg/*.el*

%changelog
* Sun Sep 07 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.16-5m)
- rebuild against emacs-22.3

* Thu Jul 24 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.16-4m)
- rebuild against xemacs-21.5.28
- use %%{sitepdir}

* Sat Apr 19 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.16-3m)
- rebuild against emacs-22.2

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.16-2m)
- rebuild against gcc43

* Thu Feb 14 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.16-1m)
- update to 0.0.16

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.15-2m)
- %%NoSource -> NoSource

* Thu Sep  6 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.15-1m)
- update to 0.0.15

* Fri Aug 31 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.14-2m)
- add Patch0: epg-0.0.14-xemacs-fix-load-error.patch

* Sun Aug 12 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.14-1m)
- update to 0.0.14

* Sat Jun 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.13-2m)
- rebuild against xemacs-21.4.20 and xemacs-sumo-2007.04.27

* Mon Jun  4 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.13-1m)
- update to 0.0.13

* Sun Jun  3 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.11-2m)
- rebuild against emacs-22.1

* Fri Mar 30 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.11-1m)
- update to 0.0.11

* Sat Mar 24 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.10-4m)
- rebuild against emacs-22.0.96

* Sun Mar  4 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.10-3m)
- rebuild against emacs-22.0.95

* Sun Feb 25 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.10-2m)
- rebuild against emacs-22.0.94

* Fri Feb 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.10-1m)
- update to 0.0.10

* Sat Jan 27 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.8-3m)
- rebuild against emacs-22.0.93

* Fri Dec 22 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.8-2m)
- rebuild against emacs-22.0.92

* Thu Nov 30 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.8-1m)
- update to 0.0.8

* Thu Nov 23 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.7-2m)
- rebuild against emacs-22.0.91

* Mon Oct 30 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.7-1m)
- update to 0.0.7

* Sun Oct 29 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.0.6-2m)
- rebuild against emacs-22.0.90

* Wed Oct  4 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.6-1m)
- update to 0.0.6

* Mon Sep  4 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.5-1m)
- update to 0.0.5

* Mon Aug 21 2006 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.0.4-1m)
- initial package
